"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.spacing = exports.alignment = exports.background = exports.border = exports.withoutTitle = exports.title = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _Text = require("../Text");

var _storybookUtilities = require("../../storybook-utilities");

var _BlockStack = require("../BlockStack");

var _CalloutBanner = require("./CalloutBanner");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var meta = {
  component: _CalloutBanner.CalloutBanner,
  title: 'CalloutBanner',
  decorators: [(0, _storybookUtilities.themeWithKnobs)('headingLevel3')]
};
var _default = meta;
exports["default"] = _default;

var title = function title() {
  return /*#__PURE__*/_react["default"].createElement(_CalloutBanner.CalloutBanner, {
    title: "Special offer today only"
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Add the Dinghy Skeleton Cruiser to your order and save 15%"));
};

exports.title = title;

var withoutTitle = function withoutTitle() {
  return /*#__PURE__*/_react["default"].createElement(_CalloutBanner.CalloutBanner, null, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Add the Dinghy Skeleton Cruiser to your order and save 15%. This offer ends in ", /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    emphasized: true
  }, "04:48")));
};

exports.withoutTitle = withoutTitle;

var border = function border() {
  return /*#__PURE__*/_react["default"].createElement(_CalloutBanner.CalloutBanner, {
    border: "none"
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Add the Dinghy Skeleton Cruiser to your order and save 15%. This offer ends in ", /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    emphasized: true
  }, "04:48")));
};

exports.border = border;

var background = function background() {
  return /*#__PURE__*/_react["default"].createElement(_CalloutBanner.CalloutBanner, {
    background: "transparent"
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Add the Dinghy Skeleton Cruiser to your order and save 15%. This offer ends in ", /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    emphasized: true
  }, "04:48")));
};

exports.background = background;

var alignment = function alignment() {
  return /*#__PURE__*/_react["default"].createElement(_BlockStack.BlockStack, null, /*#__PURE__*/_react["default"].createElement(_CalloutBanner.CalloutBanner, {
    alignment: "leading"
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Add the Dinghy Skeleton Cruiser to your order and save 15%. This offer ends in ", /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    emphasized: true
  }, "04:48"))), /*#__PURE__*/_react["default"].createElement(_CalloutBanner.CalloutBanner, null, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Add the Dinghy Skeleton Cruiser to your order and save 15%. This offer ends in ", /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    emphasized: true
  }, "04:48"))), /*#__PURE__*/_react["default"].createElement(_CalloutBanner.CalloutBanner, {
    alignment: "trailing"
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Add the Dinghy Skeleton Cruiser to your order and save 15%. This offer ends in ", /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    emphasized: true
  }, "04:48"))));
};

exports.alignment = alignment;

var spacing = function spacing() {
  return /*#__PURE__*/_react["default"].createElement(_CalloutBanner.CalloutBanner, {
    title: "Special offer today only",
    spacing: "none"
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Add the Dinghy Skeleton Cruiser to your order and save 15%. This offer ends in ", /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    emphasized: true
  }, "04:48")));
};

exports.spacing = spacing;