"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.both = exports.leading = exports.trailing = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _BlockStack = require("../BlockStack");

var _TextField = require("../TextField");

var _Button = require("../Button");

var _storybookUtilities = require("../../storybook-utilities");

var _Connected = require("./Connected");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var meta = {
  component: _Connected.Connected,
  title: 'Connected',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('textFields')]
};
var _default = meta;
exports["default"] = _default;

var trailing = function trailing() {
  return /*#__PURE__*/_react["default"].createElement(_BlockStack.BlockStack, null, /*#__PURE__*/_react["default"].createElement(_Connected.Connected, {
    trailing: "auto"
  }, /*#__PURE__*/_react["default"].createElement(_TextField.TextField, {
    label: "Name"
  }), /*#__PURE__*/_react["default"].createElement(_Button.Button, null, "Hello, world!")), /*#__PURE__*/_react["default"].createElement(_Connected.Connected, {
    trailing: "auto"
  }, /*#__PURE__*/_react["default"].createElement(_TextField.TextField, {
    label: "First name"
  }), /*#__PURE__*/_react["default"].createElement(_TextField.TextField, {
    label: "Last name"
  }), /*#__PURE__*/_react["default"].createElement(_Button.Button, null, "Hello, world!")));
};

exports.trailing = trailing;

var leading = function leading() {
  return /*#__PURE__*/_react["default"].createElement(_Connected.Connected, {
    leading: "auto"
  }, /*#__PURE__*/_react["default"].createElement(_Button.Button, null, "Hello, world!"), /*#__PURE__*/_react["default"].createElement(_TextField.TextField, {
    label: "Name"
  }));
};

exports.leading = leading;

var both = function both() {
  return /*#__PURE__*/_react["default"].createElement(_Connected.Connected, {
    leading: "auto",
    trailing: "auto"
  }, /*#__PURE__*/_react["default"].createElement(_TextField.TextField, {
    label: "Name"
  }), /*#__PURE__*/_react["default"].createElement(_Button.Button, null, "Hello, world!"));
};

exports.both = both;