"use strict";

var _react = _interopRequireDefault(require("react"));

var _faker = _interopRequireDefault(require("faker"));

var _testUtilities = require("../../test-utilities");

var _Link = require("./Link");

var _components = require("./components");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe('<Link />', function () {
  it('renders an UnstyledLink if "to" is provided', function () {
    var props = {
      to: _faker["default"].internet.url()
    };
    var link = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react["default"].createElement(_Link.Link, props));
    expect(link).toContainReactComponent(_components.UnstyledLink, props);
  });
  it('renders a button if "to" is not provided', function () {
    var link = (0, _testUtilities.mountWithContext)( /*#__PURE__*/_react["default"].createElement(_Link.Link, {
      onPress: function onPress() {
        return null;
      },
      to: undefined
    }));
    expect(link).toContainReactComponent('button');
  });
});