"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ResourceList = ResourceList;
exports.ResourceListHeader = ResourceListHeader;
exports.ResourceListHeaderContent = ResourceListHeaderContent;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _id = require("../../utilities/id");

var _legacy = require("../../utilities/legacy");

var _Heading = require("../Heading");

var _HeadingGroup = require("../HeadingGroup");

var _VisuallyHidden = require("../VisuallyHidden");

var _ResourceList = _interopRequireDefault(require("./ResourceList.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var createId = (0, _id.createIdCreator)('ResourceList');

function ResourceList(_ref) {
  var children = _ref.children,
      _ref$border = _ref.border,
      border = _ref$border === void 0 ? 'none' : _ref$border,
      title = _ref.title,
      titleHidden = _ref.titleHidden;
  var id = (0, _id.useId)(undefined, createId);
  var className = (0, _cssUtilities.classNames)(_ResourceList["default"].ResourceList, _legacy.utilityDefaultBorderColor, border && _ResourceList["default"][(0, _cssUtilities.variationName)('border', border)]);
  var titleMarkup = title ? /*#__PURE__*/_react["default"].createElement(_Heading.Heading, {
    id: id
  }, title) : null;
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, title && titleHidden ? /*#__PURE__*/_react["default"].createElement(_VisuallyHidden.VisuallyHidden, null, titleMarkup) : titleMarkup, /*#__PURE__*/_react["default"].createElement(_HeadingGroup.HeadingGroup, null, /*#__PURE__*/_react["default"].createElement("div", {
    role: "table",
    "aria-labelledby": id,
    className: className
  }, children)));
}

function ResourceListHeader(_ref2) {
  var children = _ref2.children;
  return /*#__PURE__*/_react["default"].createElement("div", {
    role: "row",
    className: _ResourceList["default"].ResourceListHeader
  }, children);
}

function ResourceListHeaderContent(_ref3) {
  var children = _ref3.children,
      primary = _ref3.primary,
      hidden = _ref3.hidden;
  return /*#__PURE__*/_react["default"].createElement("div", {
    role: "columnheader",
    className: primary ? _ResourceList["default"]['ResourceListHeaderContent-isPrimary'] : undefined
  }, hidden ? /*#__PURE__*/_react["default"].createElement(_VisuallyHidden.VisuallyHidden, null, children) : children);
}