"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StepperStep = StepperStep;
exports.StepperStepIcon = StepperStepIcon;
exports.StepperStepLabel = StepperStepLabel;
exports.StepperStepConnector = StepperStepConnector;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Icon = require("../../../Icon");

var _TextBlock = require("../../../TextBlock");

var _VisuallyHidden = require("../../../VisuallyHidden");

var _hooks = require("../../hooks");

var _StepperStep = _interopRequireDefault(require("./StepperStep.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function StepperStep(_ref) {
  var children = _ref.children,
      description = _ref.description,
      icon = _ref.icon,
      iconColor = _ref.iconColor,
      id = _ref.id,
      label = _ref.label,
      state = _ref.state,
      _ref$stateHidden = _ref.stateHidden,
      stateHidden = _ref$stateHidden === void 0 ? true : _ref$stateHidden;

  var _useStepper = (0, _hooks.useStepper)(),
      steps = _useStepper.steps;

  var first = Object.keys(steps).indexOf(id) === 0;
  var _steps$id = steps[id],
      active = _steps$id.active,
      completed = _steps$id.completed;
  var className = (0, _cssUtilities.classNames)(_StepperStep["default"].StepperStep, completed && _StepperStep["default"].Completed);
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, !first && /*#__PURE__*/_react["default"].createElement(StepperStepConnector, {
    active: active,
    completed: completed
  }), /*#__PURE__*/_react["default"].createElement("li", {
    className: className,
    "aria-current": active
  }, /*#__PURE__*/_react["default"].createElement(StepperStepIcon, {
    active: active,
    completed: completed,
    source: icon,
    color: iconColor
  }), /*#__PURE__*/_react["default"].createElement(StepperStepLabel, {
    active: active,
    completed: completed,
    description: description,
    label: label,
    state: state,
    stateHidden: stateHidden
  }), children));
}

function StepperStepIcon(_ref2) {
  var active = _ref2.active,
      _ref2$color = _ref2.color,
      color = _ref2$color === void 0 ? 'interactive' : _ref2$color,
      source = _ref2.source,
      completed = _ref2.completed;
  var className = (0, _cssUtilities.classNames)(_StepperStep["default"].StepperStepIcon, active && _StepperStep["default"].active, completed && _StepperStep["default"].completed);
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: className
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    source: source,
    color: active || completed ? color : 'subdued',
    size: "large"
  }));
}

function StepperStepLabel(_ref3) {
  var active = _ref3.active,
      completed = _ref3.completed,
      description = _ref3.description,
      label = _ref3.label,
      state = _ref3.state,
      stateHidden = _ref3.stateHidden;
  var className = (0, _cssUtilities.classNames)(_StepperStep["default"].StepperStepLabel, (active || completed) && _StepperStep["default"].completed);
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("div", {
    className: className
  }, stateHidden ? /*#__PURE__*/_react["default"].createElement(_VisuallyHidden.VisuallyHidden, null, state) : /*#__PURE__*/_react["default"].createElement(_TextBlock.TextBlock, null, state), /*#__PURE__*/_react["default"].createElement(_TextBlock.TextBlock, {
    emphasized: active || completed
  }, label)), (active || completed) && description && /*#__PURE__*/_react["default"].createElement(_TextBlock.TextBlock, {
    size: "small",
    subdued: true
  }, description));
}

function StepperStepConnector(_ref4) {
  var active = _ref4.active,
      completed = _ref4.completed;
  var className = (0, _cssUtilities.classNames)(_StepperStep["default"].StepperStepConnector, (active || completed) && _StepperStep["default"].completed);
  return /*#__PURE__*/_react["default"].createElement("li", {
    className: className,
    "aria-hidden": true
  });
}