"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useTheme = useTheme;
exports.useThemeConfiguration = useThemeConfiguration;

var _react = require("react");

var _context = require("./context");

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _createForOfIteratorHelper(o, allowArrayLike) { var it; if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e2) { throw _e2; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = o[Symbol.iterator](); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e3) { didErr = true; err = _e3; }, f: function f() { try { if (!normalCompletion && it["return"] != null) it["return"](); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function useTheme() {
  var theme = (0, _react.useContext)(_context.ThemeContext);

  if (theme == null) {
    throw new Error('No theme found in context');
  }

  return theme;
}

function useThemeConfiguration() {
  var theme = useTheme();
  var forceUpdate = useForceUpdate();
  var themeConfigurationRef = (0, _react.useRef)(theme.configuration);
  themeConfigurationRef.current = theme.configuration;
  var internals = (0, _react.useRef)();

  if (internals.current == null) {
    (function () {
      var watchedKeys = new Set();
      var reactiveConfiguration = {};

      var _iterator = _createForOfIteratorHelper(Object.keys(theme.configuration)),
          _step;

      try {
        var _loop = function _loop() {
          var key = _step.value;
          Object.defineProperty(reactiveConfiguration, key, {
            enumerable: true,
            get: function get() {
              watchedKeys.add(key);
              return themeConfigurationRef.current[key];
            }
          });
        };

        for (_iterator.s(); !(_step = _iterator.n()).done;) {
          _loop();
        }
      } catch (err) {
        _iterator.e(err);
      } finally {
        _iterator.f();
      }

      internals.current = {
        watchedKeys: watchedKeys,
        reactiveConfiguration: reactiveConfiguration
      };
    })();
  }

  (0, _react.useEffect)(function () {
    var currentConfiguration = themeConfigurationRef.current;
    themeConfigurationRef.current = theme.configuration;

    if (_toConsumableArray(internals.current.watchedKeys).some(function (key) {
      return currentConfiguration[key] !== theme.configuration[key];
    })) {
      forceUpdate();
    }

    return theme.on('change', function () {
      var currentConfiguration = themeConfigurationRef.current;
      themeConfigurationRef.current = theme.configuration;

      if (_toConsumableArray(internals.current.watchedKeys).some(function (key) {
        return currentConfiguration[key] !== theme.configuration[key];
      })) {
        forceUpdate();
      }
    });
  });
  return internals.current.reactiveConfiguration;
}

function useForceUpdate() {
  var _useState = (0, _react.useState)({}),
      _useState2 = _slicedToArray(_useState, 2),
      forceUpdate = _useState2[1];

  return (0, _react.useCallback)(function () {
    return forceUpdate(function () {
      return {};
    });
  }, []);
}