"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.View = View;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _View = _interopRequireDefault(require("./View.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/**
 * A View is a generic container component. Its contents will always be their
 * “natural” size, so this component can be useful in layout components (like `Layout`, `Tiles`,
 * `BlockStack`, `InlineStack`) that would otherwise stretch their children to fit.
 */
function View(_ref) {
  var children = _ref.children,
      inlinePadding = _ref.inlinePadding,
      blockPadding = _ref.blockPadding;
  var className = (0, _cssUtilities.classNames)(inlinePadding && _View["default"][(0, _cssUtilities.variationName)('inlinePadding', inlinePadding)], blockPadding && _View["default"][(0, _cssUtilities.variationName)('blockPadding', blockPadding)]);
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: className
  }, children);
}