import React from 'react';
import faker from 'faker';
import { mountWithContext } from '../../../../../test-utilities';
import { OptionList } from '../../../OptionList';
import { OptionDetails } from '..';
var defaultOptionListProps = {
  id: faker.random.uuid(),
  selectedItems: [],
  onChange: function onChange() {
    return null;
  },
  children: /*#__PURE__*/React.createElement("div", null)
};
describe('<OptionDetails />', function () {
  it('renders children if selected', function () {
    var id = faker.random.uuid();

    function Children() {
      return /*#__PURE__*/React.createElement("div", null, "Children");
    }

    var accordion = mountWithContext( /*#__PURE__*/React.createElement(OptionList, Object.assign({}, defaultOptionListProps, {
      selectedItems: [id]
    }), /*#__PURE__*/React.createElement(OptionDetails, {
      controlledBy: id
    }, /*#__PURE__*/React.createElement(Children, null))));
    expect(accordion.find(OptionDetails)).toContainReactComponent(Children);
  });
  it('does not render children if not selected', function () {
    function Children() {
      return /*#__PURE__*/React.createElement("div", null, "Children");
    }

    var accordion = mountWithContext( /*#__PURE__*/React.createElement(OptionList, Object.assign({}, defaultOptionListProps, {
      selectedItems: ['123']
    }), /*#__PURE__*/React.createElement(OptionDetails, {
      controlledBy: "234"
    }, /*#__PURE__*/React.createElement(Children, null))));
    expect(accordion.find(OptionDetails)).not.toContainReactComponent(Children);
  });
});