import React from 'react';
import { mount } from '@quilted/react-testing/dom';
import { Separator } from './Separator';
describe('<Separator />', function () {
  it('renders horizontal by default', function () {
    var separator = mount( /*#__PURE__*/React.createElement(Separator, null));
    expect(separator).toContainReactComponent('div', {
      style: {
        borderBottomWidth: '1px'
      }
    });
  });
  it('renders vertical', function () {
    var separator = mount( /*#__PURE__*/React.createElement(Separator, {
      direction: "vertical"
    }));
    expect(separator).toContainReactComponent('div', {
      style: {
        borderRightWidth: '1px'
      }
    });
  });
  it('renders width', function () {
    var separator = mount( /*#__PURE__*/React.createElement(Separator, {
      width: "thick"
    }));
    expect(separator).toContainReactComponent('div', {
      style: {
        borderBottomWidth: '5px'
      }
    });
  });
});