import React from 'react';
import { withKnobs } from '@storybook/addon-knobs';
import { themeWithKnobs } from '../../storybook-utilities';
import { TextField } from './TextField';
var meta = {
  component: TextField,
  title: 'TextField',
  decorators: [withKnobs, themeWithKnobs('textFields')]
};
export default meta;
var defaultProps = {
  id: 'field',
  label: 'Label'
};
export var defaultState = function defaultState() {
  return /*#__PURE__*/React.createElement(TextField, defaultProps);
};
export var inputTypeNumber = function inputTypeNumber() {
  return /*#__PURE__*/React.createElement(TextField, Object.assign({}, defaultProps, {
    type: "number"
  }));
};
export var inputTypeEmail = function inputTypeEmail() {
  return /*#__PURE__*/React.createElement(TextField, Object.assign({}, defaultProps, {
    type: "email"
  }));
};
export var inputTypeTelephone = function inputTypeTelephone() {
  return /*#__PURE__*/React.createElement(TextField, Object.assign({}, defaultProps, {
    type: "telephone"
  }));
};
export var prefilledContent = function prefilledContent() {
  return /*#__PURE__*/React.createElement(TextField, Object.assign({}, defaultProps, {
    value: "Shopifolk"
  }));
};
export var errorState = function errorState() {
  return /*#__PURE__*/React.createElement(TextField, Object.assign({}, defaultProps, {
    error: "Enter a name"
  }));
};
export var textarea = function textarea() {
  return /*#__PURE__*/React.createElement(TextField, Object.assign({}, defaultProps, {
    multiline: true
  }));
};
export var withTooltip = function withTooltip() {
  return /*#__PURE__*/React.createElement(TextField, Object.assign({}, defaultProps, {
    tooltip: {
      label: 'More information',
      content: 'In case we need to contact you about your order'
    }
  }));
};