"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.aspectRatio = exports.responsive = exports.contain = exports.cover = exports.lazyLoading = exports.defaultState = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _faker = _interopRequireDefault(require("faker"));

var _TextContainer = require("../TextContainer");

var _Image = require("./Image");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const meta = {
  component: _Image.Image,
  title: 'Image'
};
var _default = meta;
exports.default = _default;

const defaultState = () => /*#__PURE__*/_react.default.createElement(_Image.Image, {
  source: "http://placekitten.com/g/320/180"
});

exports.defaultState = defaultState;

const lazyLoading = () => /*#__PURE__*/_react.default.createElement(_Image.Image, {
  source: "http://placekitten.com/g/320/180",
  description: "placekitten.com",
  loading: "lazy"
});

exports.lazyLoading = lazyLoading;

const cover = () => /*#__PURE__*/_react.default.createElement("div", {
  style: {
    width: 256
  }
}, /*#__PURE__*/_react.default.createElement(_Image.Image, {
  source: "http://placekitten.com/g/320/180",
  sources: [{
    source: 'http://placekitten.com/g/320/180',
    resolution: 1
  }, {
    source: 'http://placekitten.com/g/640/360',
    resolution: 2
  }],
  aspectRatio: 1,
  fit: "cover",
  bordered: true,
  description: "placekitten.com"
}));

exports.cover = cover;

const contain = () => /*#__PURE__*/_react.default.createElement("div", {
  style: {
    width: 256
  }
}, /*#__PURE__*/_react.default.createElement(_Image.Image, {
  source: "http://placekitten.com/g/320/180",
  sources: [{
    source: 'http://placekitten.com/g/320/180',
    resolution: 1
  }, {
    source: 'http://placekitten.com/g/640/360',
    resolution: 2
  }],
  aspectRatio: 1,
  fit: "contain",
  bordered: true,
  description: "placekitten.com"
}));

exports.contain = contain;

const responsive = () => /*#__PURE__*/_react.default.createElement(_Image.Image, {
  source: "http://placekitten.com/g/320/180",
  sources: [{
    source: 'http://placekitten.com/g/320/180',
    resolution: 1,
    viewportSize: 'small'
  }, {
    source: 'http://placekitten.com/g/640/360',
    resolution: 2,
    viewportSize: 'small'
  }, {
    source: 'http://placekitten.com/g/640/360',
    resolution: 1,
    viewportSize: 'medium'
  }, {
    source: 'http://placekitten.com/g/1280/720',
    resolution: 2,
    viewportSize: 'medium'
  }, {
    source: 'http://placekitten.com/g/1280/720',
    resolution: 1,
    viewportSize: 'large'
  }, {
    source: 'http://placekitten.com/g/2560/1440',
    resolution: 2,
    viewportSize: 'large'
  }],
  description: "placekitten.com"
});

exports.responsive = responsive;

const aspectRatio = () => /*#__PURE__*/_react.default.createElement("div", {
  style: {
    width: 320
  }
}, /*#__PURE__*/_react.default.createElement(_TextContainer.TextContainer, null, /*#__PURE__*/_react.default.createElement(_Image.Image, {
  source: "http://placekitten.com/g/640/360",
  aspectRatio: 3
}), /*#__PURE__*/_react.default.createElement("p", null, _faker.default.lorem.paragraphs(3))));

exports.aspectRatio = aspectRatio;