"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ResourceList = ResourceList;
exports.ResourceListHeader = ResourceListHeader;
exports.ResourceListHeaderContent = ResourceListHeaderContent;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _id = require("../../utilities/id");

var _legacy = require("../../utilities/legacy");

var _Heading = require("../Heading");

var _HeadingGroup = require("../HeadingGroup");

var _VisuallyHidden = require("../VisuallyHidden");

var _ResourceList = _interopRequireDefault(require("./ResourceList.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createId = (0, _id.createIdCreator)('ResourceList');

function ResourceList({
  children,
  border = 'none',
  title,
  titleHidden
}) {
  const id = (0, _id.useId)(undefined, createId);
  const className = (0, _cssUtilities.classNames)(_ResourceList.default.ResourceList, _legacy.utilityDefaultBorderColor, border && _ResourceList.default[(0, _cssUtilities.variationName)('border', border)]);
  const titleMarkup = title ? /*#__PURE__*/_react.default.createElement(_Heading.Heading, {
    id: id
  }, title) : null;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, title && titleHidden ? /*#__PURE__*/_react.default.createElement(_VisuallyHidden.VisuallyHidden, null, titleMarkup) : titleMarkup, /*#__PURE__*/_react.default.createElement(_HeadingGroup.HeadingGroup, null, /*#__PURE__*/_react.default.createElement("div", {
    role: "table",
    "aria-labelledby": id,
    className: className
  }, children)));
}

function ResourceListHeader({
  children
}) {
  return /*#__PURE__*/_react.default.createElement("div", {
    role: "row",
    className: _ResourceList.default.ResourceListHeader
  }, children);
}

function ResourceListHeaderContent({
  children,
  primary,
  hidden
}) {
  return /*#__PURE__*/_react.default.createElement("div", {
    role: "columnheader",
    className: primary ? _ResourceList.default['ResourceListHeaderContent-isPrimary'] : undefined
  }, hidden ? /*#__PURE__*/_react.default.createElement(_VisuallyHidden.VisuallyHidden, null, children) : children);
}