"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withError = exports.disabled = exports.preselectedValue = exports.defaultState = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../storybook-utilities");

var _Select = require("./Select");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const meta = {
  component: _Select.Select,
  title: 'Select',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('select')]
};
var _default = meta;
exports.default = _default;
const defaultProps = {
  label: 'Country',
  options: [{
    value: 'CA',
    label: 'Canada'
  }, {
    value: 'US',
    label: 'United States'
  }, {
    value: 'UK',
    label: 'United Kingdom'
  }]
};

const defaultState = () => /*#__PURE__*/_react.default.createElement(_Select.Select, defaultProps);

exports.defaultState = defaultState;

const preselectedValue = () => /*#__PURE__*/_react.default.createElement(_Select.Select, Object.assign({}, defaultProps, {
  value: "UK"
}));

exports.preselectedValue = preselectedValue;

const disabled = () => /*#__PURE__*/_react.default.createElement(_Select.Select, Object.assign({}, defaultProps, {
  disabled: true
}));

exports.disabled = disabled;

const withError = () => /*#__PURE__*/_react.default.createElement(_Select.Select, Object.assign({}, defaultProps, {
  error: "Select a country"
}));

exports.withError = withError;