"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.autocompleteToHtml = autocompleteToHtml;
// Our component API supports full names for all autocomplete attributes.
// This map and the autocompleteToHtml() function map the strings back into
// the values expected by the <input autocomplete /> prop.
const AUTOCOMPLETE_MAP = new Map([['telephone', 'tel'], ['credit-card', 'cc'], ['birthday', 'bday'], ['expiry', 'exp'], ['security-code', 'csc'], ['instant-message', 'impp']]);

function autocompleteToHtml(autocomplete) {
  if (autocomplete == null) return undefined;
  if (autocomplete === false) return 'none';
  if (autocomplete === true) return 'on';
  const {
    group,
    field
  } = autocomplete;
  const normalizedField = field.replace(/(?:telephone|credit-card|expiry|security-code|instant-message)/g, part => {
    var _AUTOCOMPLETE_MAP$get;

    return (_AUTOCOMPLETE_MAP$get = AUTOCOMPLETE_MAP.get(part)) !== null && _AUTOCOMPLETE_MAP$get !== void 0 ? _AUTOCOMPLETE_MAP$get : part;
  });
  return group ? `${group} ${normalizedField}` : normalizedField;
}