"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createIdCreator = createIdCreator;
exports.useId = useId;

var _react = require("react");

function createIdCreator(prefix) {
  let index = 0;
  return () => `${prefix}${index++}`;
}

function useId(explicitId, createId) {
  var _ref;

  const idRef = (0, _react.useRef)(explicitId);
  idRef.current = (_ref = explicitId !== null && explicitId !== void 0 ? explicitId : idRef.current) !== null && _ref !== void 0 ? _ref : createId();
  return idRef.current;
}