import { PropsWithChildren } from 'react';
declare type Spacing = 'xtight' | 'tight' | 'loose' | 'xloose';
declare type Size = 'auto';
export interface Props {
    /** Sets the sizing of the leading child */
    leading?: Size;
    /** Sets the sizing of the trailing child */
    trailing?: Size;
    /** Adjust spacing between children */
    spacing?: Spacing;
}
/**
 * Connected groups inputs inline and maintains a consistent height across
 * inputs. It is commonly used for displaying a single-line TextField or Select
 * inline with a Button.
 */
export declare function Connected({ children, spacing, leading, trailing, }: PropsWithChildren<Props>): JSX.Element;
export {};
