"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.closed = exports.iframeWithExplicitHeight = exports.iframeWithTitle = exports.iframe = exports.withLongTitle = exports.withTitle = exports.withExplicitHeight = exports.withVeryLongContent = exports.withContent = void 0;
const react_1 = __importStar(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const faker_1 = __importDefault(require("faker"));
const storybook_utilities_1 = require("../../storybook-utilities");
const Text_1 = require("../Text");
const Button_1 = require("../Button");
const Modal_1 = require("./Modal");
const meta = {
    component: Modal_1.Modal,
    title: 'Modal',
    decorators: [addon_knobs_1.withKnobs, storybook_utilities_1.themeWithKnobs('headingLevel1')],
};
exports.default = meta;
exports.withContent = () => (<Modal_1.Modal open>
    <Text_1.Text>{faker_1.default.lorem.paragraphs(1)}</Text_1.Text>
  </Modal_1.Modal>);
exports.withVeryLongContent = () => (<Modal_1.Modal open>
    <Text_1.Text>{faker_1.default.lorem.paragraphs(100)}</Text_1.Text>
  </Modal_1.Modal>);
exports.withExplicitHeight = () => (<Modal_1.Modal open height={300}>
    <Text_1.Text>{faker_1.default.lorem.paragraphs(100)}</Text_1.Text>
  </Modal_1.Modal>);
exports.withTitle = () => (<Modal_1.Modal title={faker_1.default.random.words(3)} open>
    <Text_1.Text>{faker_1.default.lorem.paragraphs(1)}</Text_1.Text>
  </Modal_1.Modal>);
exports.withLongTitle = () => (<Modal_1.Modal title={faker_1.default.random.words(8)} open>
    <Text_1.Text>{faker_1.default.lorem.paragraphs(1)}</Text_1.Text>
  </Modal_1.Modal>);
exports.iframe = () => <Modal_1.Modal src="https://www.example.com/" open/>;
exports.iframeWithTitle = () => (<Modal_1.Modal src="http://www.example.com/" title={faker_1.default.random.words(3)} open/>);
exports.iframeWithExplicitHeight = () => (<Modal_1.Modal src="http://www.example.com/" open height={300}/>);
const Closed = () => {
    const [open, setOpen] = react_1.useState(false);
    return (<>
      <Button_1.Button onPress={() => setOpen(true)}>Show modal</Button_1.Button>
      <Modal_1.Modal title={faker_1.default.random.words(3)} open={open} onClose={() => setOpen(false)}>
        <Text_1.Text>{faker_1.default.lorem.paragraphs(1)}</Text_1.Text>
      </Modal_1.Modal>
    </>);
};
exports.closed = () => <Closed />;
