"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MoneySummary = void 0;
const react_1 = __importDefault(require("react"));
const InlineStack_1 = require("../InlineStack");
const Bookend_1 = require("../Bookend");
const Text_1 = require("../Text");
function MoneySummary({ label, value, prefix }) {
    return (<div role="row">
      <Bookend_1.Bookend trailing alignment="center">
        <div role="rowheader">
          <Text_1.Text size="medium">{label}</Text_1.Text>
        </div>
        <div role="cell">
          <InlineStack_1.InlineStack alignment="baseline" spacing="tight">
            
            <Text_1.Text role={{ type: 'abbreviation' }} size="small" subdued>
              {prefix}
            </Text_1.Text>
            <Text_1.Text emphasized size="xlarge">
              {value}
            </Text_1.Text>
          </InlineStack_1.InlineStack>
        </div>
      </Bookend_1.Bookend>
    </div>);
}
exports.MoneySummary = MoneySummary;
