"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.disabledAndChecked = exports.withAccessibilityLabel = exports.defaultState = void 0;
const react_1 = __importDefault(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const storybook_utilities_1 = require("../../storybook-utilities");
const Text_1 = require("../Text");
const BlockStack_1 = require("../BlockStack");
const Radio_1 = require("./Radio");
const meta = {
    component: Radio_1.Radio,
    title: 'Radio',
    decorators: [addon_knobs_1.withKnobs, storybook_utilities_1.themeWithKnobs('radio')],
};
exports.default = meta;
const defaultProps = {
    name: 'Radio',
    children: 'Save this information for next time',
};
exports.defaultState = () => (<div style={{ width: '250px' }}>
    <BlockStack_1.BlockStack>
      <Radio_1.Radio id="radio1" name="radiochoices">
        Save this information for next time
      </Radio_1.Radio>
      <Radio_1.Radio id="radio2" name="radiochoices">
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere, dolores
        aut harum accusantium nihil excepturi nemo iusto dolore impedit officia
        est consectetur sint neque voluptatibus? Amet ut excepturi culpa?
        Mollitia?
      </Radio_1.Radio>
      <Radio_1.Radio id="radio3" name="radiochoices">
        <Text_1.Text emphasized>Lorem ipsum dolor sit amet</Text_1.Text>
        <Text_1.Text>consectetur adipisicing elit</Text_1.Text>
      </Radio_1.Radio>
    </BlockStack_1.BlockStack>
  </div>);
exports.withAccessibilityLabel = () => (<Radio_1.Radio {...defaultProps} accessibilityLabel="This is a description for screen readers"/>);
exports.disabledAndChecked = () => (<BlockStack_1.BlockStack>
    <Radio_1.Radio {...defaultProps} disabled/>
    <Radio_1.Radio {...defaultProps} checked disabled/>
  </BlockStack_1.BlockStack>);
