"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const dom_1 = require("@quilted/react-testing/dom");
const faker_1 = __importDefault(require("faker"));
const ResourceItem_1 = require("../ResourceItem");
const ResourceList_1 = require("./ResourceList");
describe('<ResourceList />', () => {
    it('renders its children', () => {
        const resourceList = dom_1.mount(<ResourceList_1.ResourceList>
        <ResourceItem_1.ResourceItem>{faker_1.default.random.words()}</ResourceItem_1.ResourceItem>
        <ResourceItem_1.ResourceItem>{faker_1.default.random.words()}</ResourceItem_1.ResourceItem>
      </ResourceList_1.ResourceList>);
        expect(resourceList).toContainReactComponentTimes(ResourceItem_1.ResourceItem, 2);
    });
});
describe('<ResourceListHeader />', () => {
    it('renders its children', () => {
        const resourceHeader = dom_1.mount(<ResourceList_1.ResourceListHeader>
        <ResourceList_1.ResourceListHeaderContent>
          {faker_1.default.random.words()}
        </ResourceList_1.ResourceListHeaderContent>
        <ResourceList_1.ResourceListHeaderContent>
          {faker_1.default.random.words()}
        </ResourceList_1.ResourceListHeaderContent>
      </ResourceList_1.ResourceListHeader>);
        expect(resourceHeader).toContainReactComponentTimes(ResourceList_1.ResourceListHeaderContent, 2);
    });
});
