"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.width = exports.vertical = exports.defaultState = void 0;
const react_1 = __importDefault(require("react"));
const BlockStack_1 = require("../BlockStack");
const InlineStack_1 = require("../InlineStack");
const Separator_1 = require("./Separator");
const meta = {
    component: Separator_1.Separator,
    title: 'Separator',
};
exports.default = meta;
function Content() {
    return <span>Hello, world!</span>;
}
exports.defaultState = () => (<BlockStack_1.BlockStack>
    <Content />
    <Separator_1.Separator />
    <Content />
  </BlockStack_1.BlockStack>);
exports.vertical = () => (<InlineStack_1.InlineStack>
    <Content />
    <Separator_1.Separator direction="vertical"/>
    <Content />
  </InlineStack_1.InlineStack>);
exports.width = () => (<BlockStack_1.BlockStack>
    <Content />
    <Separator_1.Separator />
    <Content />
    <Separator_1.Separator width="medium"/>
    <Content />
    <Separator_1.Separator width="thick"/>
    <Content />
    <Separator_1.Separator width="xthick"/>
    <InlineStack_1.InlineStack>
      <Content />
      <Separator_1.Separator direction="vertical"/>
      <Content />
      <Separator_1.Separator direction="vertical" width="medium"/>
      <Content />
      <Separator_1.Separator direction="vertical" width="thick"/>
      <Content />
      <Separator_1.Separator direction="vertical" width="xthick"/>
      <Content />
    </InlineStack_1.InlineStack>
  </BlockStack_1.BlockStack>);
