"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const dom_1 = require("@quilted/react-testing/dom");
const TextContainer_1 = require("./TextContainer");
const child = <p>Hey</p>;
describe('TextContainer', () => {
    it('renders a single element', () => {
        const textContainer = dom_1.mount(<TextContainer_1.TextContainer>{child}</TextContainer_1.TextContainer>);
        expect(textContainer).toContainReactComponentTimes('p', 1);
    });
    it('renders multiple elements', () => {
        const textContainer = dom_1.mount(<TextContainer_1.TextContainer>
        {child}
        {child}
      </TextContainer_1.TextContainer>);
        expect(textContainer).toContainReactComponentTimes('p', 2);
    });
    it('renders nested TextContainers', () => {
        const textContainer = dom_1.mount(<TextContainer_1.TextContainer>
        {child}
        {child}
        <TextContainer_1.TextContainer>
          {child}
          {child}
        </TextContainer_1.TextContainer>
      </TextContainer_1.TextContainer>);
        expect(textContainer).toContainReactComponentTimes('p', 4);
    });
});
