"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.withTooltip = exports.textarea = exports.errorState = exports.prefilledContent = exports.inputTypeTelephone = exports.inputTypeEmail = exports.inputTypeNumber = exports.defaultState = void 0;
const react_1 = __importDefault(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const storybook_utilities_1 = require("../../storybook-utilities");
const TextField_1 = require("./TextField");
const meta = {
    component: TextField_1.TextField,
    title: 'TextField',
    decorators: [addon_knobs_1.withKnobs, storybook_utilities_1.themeWithKnobs('textFields')],
};
exports.default = meta;
const defaultProps = {
    id: 'field',
    label: 'Label',
};
exports.defaultState = () => <TextField_1.TextField {...defaultProps}/>;
exports.inputTypeNumber = () => (<TextField_1.TextField {...defaultProps} type="number"/>);
exports.inputTypeEmail = () => (<TextField_1.TextField {...defaultProps} type="email"/>);
exports.inputTypeTelephone = () => (<TextField_1.TextField {...defaultProps} type="telephone"/>);
exports.prefilledContent = () => (<TextField_1.TextField {...defaultProps} value="Shopifolk"/>);
exports.errorState = () => (<TextField_1.TextField {...defaultProps} error="Enter a name"/>);
exports.textarea = () => <TextField_1.TextField {...defaultProps} multiline/>;
exports.withTooltip = () => (<TextField_1.TextField {...defaultProps} tooltip={{
    label: 'More information',
    content: 'In case we need to contact you about your order',
}}/>);
