"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.argoComponents = void 0;
const react_1 = __importDefault(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const __1 = require("..");
const _1 = require(".");
const meta = {
    title: 'Playground',
    decorators: [addon_knobs_1.withKnobs, _1.themeWithKnobs()],
};
exports.default = meta;
function Content() {
    return <div style={{ backgroundColor: 'lightgrey' }}>Content block</div>;
}
exports.argoComponents = () => (<__1.BlockStack spacing="xloose">
    <__1.Heading>BlockStack</__1.Heading>
    <__1.BlockStack spacing="xtight">
      <Content />
      <Content />
      <Content />
      <Content />
    </__1.BlockStack>
    <__1.Separator />
    <__1.Heading>Bookend</__1.Heading>
    <__1.Bookend trailing>
      <__1.TextField label="Name"/>
      <__1.Button>Hello, world!</__1.Button>
    </__1.Bookend>
    <__1.Separator />
    <__1.Heading>ButtonGroup</__1.Heading>
    <__1.ButtonGroup>
      <__1.Button>Hello, world!</__1.Button>
      <__1.Button>Hello, world!</__1.Button>
      <__1.Button>Hello, world!</__1.Button>
    </__1.ButtonGroup>
    <__1.Separator />
    <__1.Heading>Checkbox</__1.Heading>
    <__1.BlockStack>
      <__1.Checkbox id="checkbox1" name="checkboxchoices">
        Save this information for next time
      </__1.Checkbox>
      <__1.Checkbox id="checkbox2" name="checkboxchoices">
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere, dolores
        aut harum accusantium nihil excepturi nemo iusto dolore impedit officia
        est consectetur sint neque voluptatibus? Amet ut excepturi culpa?
        Mollitia?
      </__1.Checkbox>
      <__1.Checkbox id="checkbox3" name="checkboxchoices">
        <__1.Text emphasized>Lorem ipsum dolor sit amet</__1.Text>
        <__1.Text>consectetur adipisicing elit</__1.Text>
      </__1.Checkbox>
    </__1.BlockStack>
    <__1.Separator />
    <__1.Heading>FormLayout</__1.Heading>
    <__1.FormLayout>
      <__1.FormLayoutGroup>
        <__1.Select id="select" name="country" label="Country" options={[
    {
        value: 'CA',
        label: 'Canada',
    },
    {
        value: 'US',
        label: 'United States',
    },
    {
        value: 'UK',
        label: 'United Kingdom',
    },
]}/>
        <__1.Select id="select" name="province" label="Province" options={[
    {
        value: 'QC',
        label: 'Quebec',
    },
    {
        value: 'ON',
        label: 'Ontario',
    },
    {
        value: 'PEI',
        label: 'Prince Edward Island',
    },
]}/>
      </__1.FormLayoutGroup>
      <__1.TextField label="Address" name="address1" id="address1"/>
      <__1.TextField label="Apartment, suite, etc." name="address2" id="address2"/>
    </__1.FormLayout>
    <__1.Separator />
    <__1.Heading>Heading</__1.Heading>
    <__1.HeadingGroup>
      <__1.Heading level={1}>Hello, world!</__1.Heading>
      <__1.Heading level={2}>Hello, world!</__1.Heading>
      <__1.Heading level={3}>Hello, world!</__1.Heading>
    </__1.HeadingGroup>
    <__1.Separator />
    <__1.Heading>Image</__1.Heading>
    <div style={{ width: 512 }}>
      <__1.Image source="http://placekitten.com/g/512/256" sources={[
    { source: 'http://placekitten.com/g/512/256', resolution: 1 },
    { source: 'http://placekitten.com/g/1024/512', resolution: 2 },
]} aspectRatio={1} fit="contain" bordered description="placekitten.com"/>
    </div>
    <__1.Separator />
    <__1.Heading>InlineStack</__1.Heading>
    <__1.InlineStack>
      <Content />
      <Content />
      <Content /> <Content />
      <Content />
      <Content /> <Content />
      <Content />
      <Content /> <Content />
      <Content />
      <Content /> <Content />
      <Content />
      <Content /> <Content />
      <Content />
      <Content /> <Content />
      <Content />
      <Content /> <Content />
      <Content /> <Content /> <Content />
      <Content />
      <Content /> <Content />
      <Content />
      <Content /> <Content />
      <Content />
      <Content />
    </__1.InlineStack>
    <__1.Separator />
    <__1.Heading>Link</__1.Heading>
    <__1.InlineStack>
      <__1.Link to="https://shopify.com" external={false}>
        Internal link
      </__1.Link>
      <__1.Link to="https://shopify.com" external>
        External link
      </__1.Link>
      <__1.Link to={undefined}>Link without Url</__1.Link>
    </__1.InlineStack>
    <__1.Separator />
    <__1.Heading>Radio</__1.Heading>
    <div style={{ width: '250px' }}>
      <__1.BlockStack>
        <__1.Radio id="radio1" name="radiochoices">
          Save this information for next time
        </__1.Radio>
        <__1.Radio id="radio2" name="radiochoices">
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere,
          dolores aut harum accusantium nihil excepturi nemo iusto dolore
          impedit officia est consectetur sint neque voluptatibus? Amet ut
          excepturi culpa? Mollitia?
        </__1.Radio>
        <__1.Radio id="radio3" name="radiochoices">
          <__1.Text emphasized>Lorem ipsum dolor sit amet</__1.Text>
          <__1.Text>consectetur adipisicing elit</__1.Text>
        </__1.Radio>
      </__1.BlockStack>
    </div>
    <__1.Separator />
    <__1.Heading>Select</__1.Heading>
    <__1.Select {...{
    label: 'Country',
    options: [
        {
            value: 'CA',
            label: 'Canada',
        },
        {
            value: 'US',
            label: 'United States',
        },
        {
            value: 'UK',
            label: 'United Kingdom',
        },
    ],
}}/>
    <__1.Separator />
    <__1.Heading>Separator</__1.Heading>
    <__1.BlockStack>
      <Content />
      <__1.Separator />
      <Content />
    </__1.BlockStack>
    <__1.Separator />
    <__1.Heading>SkeletonText</__1.Heading>
    <__1.SkeletonText lines={3}/>
    <__1.Separator />
    <__1.Heading>Text</__1.Heading>
    <__1.BlockStack>
      <__1.Text>Default</__1.Text>
      <__1.Text subdued>Subdued</__1.Text>
      <__1.Text emphasized>Emphasized</__1.Text>
    </__1.BlockStack>
    <__1.Separator />
    <__1.Heading>TextBlock</__1.Heading>
    <__1.TextContainer>
      <__1.TextBlock>Default</__1.TextBlock>
      <__1.TextBlock subdued>Subdued</__1.TextBlock>
      <__1.TextBlock emphasized>Emphasized</__1.TextBlock>
    </__1.TextContainer>
    <__1.Separator />
    <__1.Heading>TextContainer</__1.Heading>
    <__1.TextContainer>
      <ExampleText />
      <ExampleText />
      <ExampleText />
      <ExampleText />
    </__1.TextContainer>
    <__1.Separator />
    <__1.Heading>Tiles</__1.Heading>
    
  </__1.BlockStack>);
/* function ExampleTile() {
  return (
    <Tile>
      <div
        style={{
          backgroundColor: 'lightgrey',
          border: '1px #000 solid',
          padding: '1em',
        }}
      >
        Content block
      </div>
    </Tile>
  );
} */
function ExampleText() {
    return (<__1.TextBlock>
      Lorem ipsum dolor sit amet consectetur adipisicing elit. Beatae enim
      veniam natus facilis. Nemo nisi assumenda alias dolore saepe quia! Sed
      perspiciatis veritatis nesciunt vitae nobis distinctio quod illo neque?
    </__1.TextBlock>);
}
